AM261x MCU+ SDK: EnetDma_CbStats Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
EnetDma_CbStats Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Data Path (DMA) » Packet statistics

## Detailed Description

Stats for packets submitted/retrieved in the DMA event callbacks functions.

## Data Fields
uint64_t | dataNotifyCnt
uint64_t | zeroNotifyCnt
uint64_t | totalPktCnt
uint64_t | totalCycleCnt
uint64_t | pktsPerNotifyMax
uint64_t | pktsPerNotify [ENET_DMA_STATS_HISTORY_CNT]
uint64_t | cycleCntPerNotifyMax
uint64_t | cycleCntPerNotify [ENET_DMA_STATS_HISTORY_CNT]
uint64_t | cycleCntPerPktMax
uint64_t | cycleCntPerPkt [ENET_DMA_STATS_HISTORY_CNT]
uint64_t | readyDmaDescQCnt [ENET_DMA_STATS_HISTORY_CNT]

## Field Documentation

## ◆ dataNotifyCnt

uint64_t EnetDma_CbStats::dataNotifyCnt

Total number of times the packets were submitted or retrieved from DMA

## ◆ zeroNotifyCnt

uint64_t EnetDma_CbStats::zeroNotifyCnt

Counts when DMA retrievePkts is called but no packets was retrieved. This count can help in determining optimal pacing interval

## ◆ totalPktCnt

uint64_t EnetDma_CbStats::totalPktCnt

Total number of packets submitted or retrieved from DMA

## ◆ totalCycleCnt

uint64_t EnetDma_CbStats::totalCycleCnt

Total cycles consumed to submit or retrieve totalPktCnt packets from DMA

## ◆ pktsPerNotifyMax

uint64_t EnetDma_CbStats::pktsPerNotifyMax

Maximum packets retrieved in single submit or retrieve call. This count can help in determining optimal number of DMA descriptors and packet counts to be allocated

## ◆ pktsPerNotify

uint64_t EnetDma_CbStats::pktsPerNotify[ENET_DMA_STATS_HISTORY_CNT]

Packets retrieved per call to single submit or retrieve call. Maintained for last ENET_DMA_STATS_HISTORY_CNT packets

## ◆ cycleCntPerNotifyMax

uint64_t EnetDma_CbStats::cycleCntPerNotifyMax

Maximum of cycles consumed of all submit or retrieve call.

## ◆ cycleCntPerNotify

uint64_t EnetDma_CbStats::cycleCntPerNotify[ENET_DMA_STATS_HISTORY_CNT]

Cycles consumed per call to single submit or retrieve call. Maintained for last ENET_DMA_STATS_HISTORY_CNT packets

## ◆ cycleCntPerPktMax

uint64_t EnetDma_CbStats::cycleCntPerPktMax

Maximum cycles for single packet in submit or retrieve call

## ◆ cycleCntPerPkt

uint64_t EnetDma_CbStats::cycleCntPerPkt[ENET_DMA_STATS_HISTORY_CNT]

Cycles per packet in submit or retrieve call. Maintained for last ENET_DMA_STATS_HISTORY_CNT packets

## ◆ readyDmaDescQCnt

uint64_t EnetDma_CbStats::readyDmaDescQCnt[ENET_DMA_STATS_HISTORY_CNT]

Number of free DMA descriptors in the RX channels or TX channels DMA descriptor queue. Maintained for last ENET_DMA_STATS_HISTORY_CNT packets. This can be useful to detect and handle drops in packet bursts